American-transaction costs 1.0.0.0 American option pricer under proportional transaction costs

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
ParameterIntegrableConstant Class Reference

Parameter with fixed value (where integrability is used). More...

`#include <integrableconstant.h>`

Inheritance diagram for ParameterIntegrableConstant:

List of all members.

## Public Member Functions
ParameterIntegrableConstant * | clone () const
coefficient | integral (const coefficient time1, const coefficient time2) const
coefficient | integral_square (const coefficient time1, const coefficient time2) const
coefficient | operator() (const coefficient time) const
| ParameterIntegrableConstant (const coefficient value)
coefficient | root_integral_square (const coefficient time1, const coefficient time2) const

## Detailed Description

Parameter with fixed value (where integrability is used).

## Constructor & Destructor Documentation

ParameterIntegrableConstant::ParameterIntegrableConstant | ( | const coefficient | value | ) |

## Member Function Documentation

ParameterIntegrableConstant * ParameterIntegrableConstant::clone | ( |  | ) | const`[virtual]`

Clone constructor.

Implements ParameterIntegrable.

coefficient ParameterIntegrableConstant::integral | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[virtual]`

Integral of parameter from time1 to time2.

Implements ParameterIntegrable.

coefficient ParameterIntegrableConstant::integral_square | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[virtual]`

Integral of squared parameter from time1 to time2.

Implements ParameterIntegrable.

coefficient ParameterIntegrableConstant::operator() | ( | const coefficient | t | ) | const`[virtual]`

Current value at time t.

Implements Parameter.

coefficient ParameterIntegrableConstant::root_integral_square | ( | const coefficient | time1,
|  | const coefficient | time2
| ) |  | const`[virtual]`

Square root of integral of squared parameter over [time1, time2].

Implements ParameterIntegrable.

The documentation for this class was generated from the following files:

- parameter/integrableconstant.h
- parameter/integrableconstant.cpp

All Classes Namespaces Files Functions Variables Typedefs Defines